<template>
  <hyper-link
    class="group h4 leading-relaxed text-brown-600 hover:text-black"
    v-bind="$props"
  >
    <slot />
    <!-- chevron-right-icon.svg -->
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 24 24"
      fill="none"
      stroke="currentColor"
      stroke-width="2"
      stroke-linecap="round"
      stroke-linejoin="round"
      class="inline-block h-6 w-6 lg:group-hover:ml-4"
    >
      <path d="M9 18l6-6-6-6" />
    </svg>
    <!-- chevron-right-icon.svg -->
  </hyper-link>
</template>

<script>
export default {
  name: 'VisualLink',
  props: {
    to: { type: String, required: true },
  },
};
</script>
